2

I have Ubuntu 18.04 LTS, and I want to install Cuda 7.5 (because this version is compatible with my Nvidia GF 820m graphics card). I configured gcc-4.8 as default gcc for (because it's the Cuda 7.5 C compiler), and I install run file with sudo ./cuda_7.5.18_linux.run. Here are my terminal output from installing CUDA:

    -------------------------------------------------------------
Do you accept the previously read EULA? (accept/decline/quit): accespt
Do you accept the previously read EULA? (accept/decline/quit): accept
You are attempting to install on an unsupported configuration. Do you wish to continue? ((y)es/(n)o) [ default is no ]: y
Install NVIDIA Accelerated Graphics Driver for Linux-x86_64 352.39? ((y)es/(n)o/(q)uit): n
Install the CUDA 7.5 Toolkit? ((y)es/(n)o/(q)uit): y
Enter Toolkit Location [ default is /usr/local/cuda-7.5 ]: 
/usr/local/cuda-7.5 is not writable.
Do you wish to run the installation with 'sudo'? ((y)es/(n)o): y
Please enter your password: 
Do you want to install a symbolic link at /usr/local/cuda? ((y)es/(n)o/(q)uit): y
Install the CUDA 7.5 Samples? ((y)es/(n)o/(q)uit): y
Enter CUDA Samples Location [ default is /home/adel ]: 
Installing the CUDA Toolkit in /usr/local/cuda-7.5 ...
Missing recommended library: libGL.so

Error: cannot find Toolkit in /usr/local/cuda-7.5

===========
= Summary =
===========

Driver:   Not Selected
Toolkit:  Installation Failed
Samples:  Cannot find Toolkit in /usr/local/cuda-7.5

Logfile is /tmp/cuda_install_2279.log

It necessary to fix these missing library libGL.so to fix the problem ?

Note: Nvidia driver installed is nvidia-driver-390

UPDATE 1: Output of tail -n 20 /tmp/cuda_install_2279.log

cp: cannot stat '/usr/local/cuda-7.5/bin/.uninstall_manifest_do_not_delete.txt': No such file or directory

Missing recommended library: libGL.so

Error: cannot find Toolkit in /usr/local/cuda-7.5

===========
= Summary =
===========

Driver:   Not Selected
Toolkit:  Installation Failed
Samples:  Cannot find Toolkit in /usr/local/cuda-7.5


Logfile is /tmp/cuda_install_2279.log

UPDATE 2: Content of the log file:

Using more to view the EULA.
Installing the CUDA Toolkit in /usr/local/cuda-7.5 ...
Verifying archive integrity... All good.

Uncompressing NVIDIA CUDA...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

Can't locate InstallUtils.pm in @INC (you may need to install the InstallUtils module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at ./install-linux.pl line 6.

BEGIN failed--compilation aborted at ./install-linux.pl line 6.

Verifying archive integrity... All good.

Uncompressing NVIDIA CUDA Samples................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

Can't locate InstallUtils.pm in @INC (you may need to install the InstallUtils module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at ./install-sdk-linux.pl line 6.

BEGIN failed--compilation aborted at ./install-sdk-linux.pl line 6.

'uninstall_cuda_7.5.pl' -> '/usr/local/cuda-7.5/bin/uninstall_cuda_7.5.pl'
10
  • Did you find something interesting in /tmp/cuda_install__2279.log? try tail -n 20 /tmp/cuda_install_2279.log
    – abu_bua
    Jul 14 '18 at 13:25
  • output of tail -n 20 /tmp/cuda_install_2279.log cp: cannot stat '/usr/local/cuda-7.5/bin/.uninstall_manifest_do_not_delete.txt': No such file or directory Missing recommended library: libGL.so Error: cannot find Toolkit in /usr/local/cuda-7.5 =========== = Summary = =========== Driver: Not Selected Toolkit: Installation Failed Samples: Cannot find Toolkit in /usr/local/cuda-7.5 Jul 14 '18 at 13:41
  • Welcome to Ask Ubuntu! Could you please edit your post when you want to add information? Especially file or program output listings (with the help of the {} button in the editor toolbar) will be much more readable there; alternatively you can use a pastie service for longer listings and include the link of your pastie in your question. Overall it’s best to have everything relevant in one place. Additionally, comments may be deleted for various reasons. Thanks. Jul 14 '18 at 13:43
  • 1
    Is there a reason why you install cuda7.5 and not cuda9 -> docs.nvidia.com/cuda/index.html ??? Further it is much better to download the deb file and install with apt ./cuda_file.deb .
    – abu_bua
    Jul 14 '18 at 13:52
  • 1
    it's better to use the repo of ubuntu!
    – abu_bua
    Jul 14 '18 at 14:26
0

Install the following packages:

sudo apt install freeglut3-dev build-essential libx11-dev libxmu-dev \
libxi-dev libgl1-mesa-glx libglu1-mesa libglu1-mesa-dev libglfw3-dev libgles2-mesa-dev

sudo apt install sudo apt-get install linux-headers-$(uname -r)

For Cuda 7.5 installation type this command lines:

wget  http://developer.download.nvidia.com/compute/cuda/7.5/Prod/local_installers\
/cuda-repo-ubuntu1504-7-5-local_7.5-18_amd64.deb

sudo dpkg -i cuda-repo-ubuntu1504-7-5-local_7.5-18_amd64.deb
sudo apt-get update
sudo apt-get install cuda

For an easy Cuda 9.1 installation use the instruction given on this link:

sudo dpkg -i cuda-repo-ubuntu1704-9-1-local_9.1.85-1_amd64.deb
sudo apt-key add /var/cuda-repo-<version>/7fa2af80.pub
sudo apt-get update
sudo apt-get install cuda

Or install it with the default Ubuntu multiverse repo:

sudo apt install nvidia-cuda-toolkit nvidia-cuda-dev nvidia-cuda-doc nvidia-cuda-gdb
3
  • this package is already installed Jul 14 '18 at 13:32
  • @AdelMadrid: Could you please edit your post when you want to clarify something or add information? It’s best to have everything relevant in one place. Additionally, comments may be deleted for various reasons. Thanks. Jul 14 '18 at 13:43
  • some new packages are installed, but the same problem! @abu_bua Jul 14 '18 at 13:57

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.